画像編集をRailsでしたかったので ImageMagick を Railsから使うgem rmagick をインストールしようと思ったらこんなエラーが出てしまった。環境は Maverick。

解決策

最新版の 2.13.2 をインストールすればOK。ちなみにライブラリのリンクを作るという方法も紹介されてましたがこっちは失敗。

gem install rmagick -v '2.13.2' でインストールしましょう。

ドキュメントのインストールの時に unable to convert "¥xCF" from ASCII-8BIT to UTF-8 for なんたらこうたらというエラーが大量に出ましたがインストール自体は正常に動いてるようです。

参考

imagemagick – Error installing Rmagick on Mountain Lion – Stack Overflow


さっきの記事でも書きましたが、Macを入れなおしてます。
今度は homebrew で入れるパッケージのリストです。

アホみたいにエラーが出るので brew doctorで出てくるのに全部対処しましょう。


Macの環境構築をやり直したので、入れてるgemの一覧を出してみました。

なので、だいたい名前のわかるやつだけ入れることにします。わかんないのは依存関係のgemか全く使ってないgemなので必要になったらその時に入れることにします。